Bug 216739 - devel/ocl-icd: Update to 2.2.11
Summary: devel/ocl-icd: Update to 2.2.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 21:19 UTC by O. Hartmann
Modified: 2017-03-08 06:36 UTC (History)
1 user (show)

See Also:


Attachments
Update ocl-icd-2.2.9 -> 2.2.11 (2.82 KB, patch)
2017-02-02 21:19 UTC, O. Hartmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2017-02-02 21:19:57 UTC
Created attachment 179544 [details]
Update ocl-icd-2.2.9 -> 2.2.11

Attached is a patchfile as a diff to the regular subversion tree (HEAD) to the changes.

The patch contains the update from ocl-icd 2.2.9 to 2.2.11
Comment 1 Bugzilla Automation freebsd_committer 2017-02-02 21:19:57 UTC
Maintainer informed via mail
Comment 2 commit-hook freebsd_committer 2017-03-03 05:30:23 UTC
A commit references this bug:

Author: miwi
Date: Fri Mar  3 05:29:42 UTC 2017
New revision: 435308
URL: https://svnweb.freebsd.org/changeset/ports/435308

Log:
  - Update to 2.2.11

  PR:		216739
  Submitted by:	ohartmann@walstatt.org
  Approved by:	maintainer timeout

Changes:
  head/devel/ocl-icd/Makefile
  head/devel/ocl-icd/distinfo
  head/devel/ocl-icd/files/patch-ocl__icd__debug.h
  head/devel/ocl-icd/files/patch-ocl__icd__loader.c
Comment 3 commit-hook freebsd_committer 2017-03-08 06:36:29 UTC
A commit references this bug:

Author: jbeich
Date: Wed Mar  8 06:36:21 UTC 2017
New revision: 435658
URL: https://svnweb.freebsd.org/changeset/ports/435658

Log:
  devel/ocl-icd: respect prefix after r435308

  $ clinfo
  Number of platforms                               1
    Platform Name                                   Intel Gen OCL Driver
    Platform Vendor                                 Intel
    Platform Version                                OpenCL 1.2 beignet 1.2
  [...]
  $ pkg upgrade -q
  $ clinfo
  Number of platforms                               0
  $ truss clinfo
  [...]
  open("/etc/OpenCL/vendors",O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC,022) ERR#2 'No such file or directory'
  [...]

  PR:		216739
  Approved by:	portmgr blanket

Changes:
  head/devel/ocl-icd/Makefile